@echo off
if "%TempScript%"=="" goto scripterr
if "%1"=="" goto folder
if "%1"=="/?" or "%1"=="-?" goto help
direxist %1
if errorlevel 1 goto folder

:start
echo Start > %TempScript%
cd >> %TempScript%
echo %1 %2 %3 %4 %5 %6 %7 %8 %9 >> %TempScript%
ren %TempScript% calmira.run
goto end

:folder
echo Folder > %TempScript%
cd >> %TempScript%
if "%1"=="" goto UseCurrentDir
echo %1 >> %TempScript%
goto Exec

:UseCurrentDir
cd >> %TempScript%

:Exec
ren %TempScript% calmira.run
goto end

:help
echo.
echo START exÚcute une commande utilisant Windows, ouvre un document ou ouvre
echo un dossier. Vous pouvez donner le nom d'un programme Windows, d'un
echo programme MS-DOS (pour l'exÚcuter dans une nouvelle fenÛtre DOS), d'un
echo document ou d'un dossier.Si aucun paramÞtre n'est spÚcifiÚ, le dossier
echo courant est ouvert. Vous pouvez omettre le chemin complet des fichiers
echo ou dossiers qui sont dans le rÚpertoire courant.
echo.
echo Syntaxe: START NomFichier [paramÞtre1] [paramÞtre2] ...
echo          START [NomDossier]
echo.
echo Exemple: START notepad c:\autoexec.bat
echo          START c:\windows
goto end

:scripterr
echo.
echo Il n'y a pas de fichier script temporaire dÚfini.
echo La variable d'environnement Tempscript doit pointer vers un
echo fichier appropriÚ. Voir le chapitre "Utilisation de fichiers
echo script" dans l'aide de Calmira pour plus d'informations.

:end
echo.
